
# GOMP_INCLUDE_DIR = gomp.h
# GOMP_LIBRARIES = libgomp.a
# GOMP_FOUND = true if GOMP is found

IF (GOMP_INCLUDE_DIRS)
FIND_PATH (GOMP_INCLUDE_DIR omp.h )
FIND_LIBRARY (GOMP_LIBRARY gomp)
ELSE (GOMP_INCLUDE_DIRS)
# SET(TRIAL_PATHS
# {GOMP_HOME}/include
# /usr/include
# /usr/local/include
# /opt/include
# /usr/apps/include
# )
#
# SET(TRIAL_LIBRARY_PATHS
# {GOMP_HOME}/lib
# /usr/lib
# /usr/local/lib
# /opt/lib
# /sw/lib
# )
#
# FIND_PATH(GOMP_INCLUDE_DIR omp.h )
# FIND_LIBRARY(GOMP_LIBRARY fftw3 )
FIND_PATH(GOMP_INCLUDE_DIR fftw3.h )
FIND_LIBRARY(GOMP_LIBRARIES fftw3 )

ENDIF(GOMP_INCLUDE_DIRS)

SET(GOMP_FOUND FALSE)
IF(GOMP_INCLUDE_DIR AND GOMP_LIBRARIES)
MESSAGE(STATUS GOMP_INCLUDE_DIR=)
MESSAGE(STATUS GOMP_LIBRARIES=)
SET(GOMP_FOUND TRUE)
ENDIF()

MARK_AS_ADVANCED(
GOMP_INCLUDE_DIR
GOMP_LIBRARIES
GOMP_FOUND
)


